DefaultUrlCreator (Grails 6.0.0)

Package: org.grails.web.mapping

## [Java] Class DefaultUrlCreator

- org.grails.web.mapping.DefaultUrlCreator

- All Implemented Interfaces and Traits:
    UrlCreator

      @java.lang.SuppressWarnings("rawtypes")
      public class DefaultUrlCreator
      extends java.lang.Object
      implements UrlCreator

  The default implementation of the UrlCreator interface that constructs URLs in Grails default pattern of /controllerName/actionName/id.

  Authors:
    Graeme Rocher
  Since:
    0.5.5

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `ARGUMENT_ID` |
    `private static java.lang.String` | `ENTITY_AMPERSAND` |
    `private static char` | `SLASH` |
    `private java.lang.String` | `actionName` |
    `private java.lang.String` | `controllerName` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DefaultUrlCreator (java.lang.String controller, java.lang.String action)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `private void` | `appendRequestParam(FastStringWriter actualUriBuf, java.lang.Object name, java.lang.Object value, java.lang.String encoding)`
    `` | `private void` | `appendRequestParams(FastStringWriter actualUriBuf, java.util.Map<java.lang.Object, java.lang.Object> params, java.lang.String encoding)`
    `` | `private void` | `appendUrlToken(FastStringWriter actualUriBuf, java.lang.Object token, java.lang.String charset)`
    `` | `public java.lang.String` | `createRelativeURL(java.lang.String controller, java.lang.String action, java.util.Map parameterValues, java.lang.String encoding)`
    `` | `public java.lang.String` | `createRelativeURL(java.lang.String controller, java.lang.String action, java.lang.String pluginName, java.util.Map parameterValues, java.lang.String encoding)`
    `` | `public java.lang.String` | `createRelativeURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map parameterValues, java.lang.String encoding)`
    `` | `public java.lang.String` | `createRelativeURL(java.lang.String controller, java.lang.String action, java.util.Map parameterValues, java.lang.String encoding, java.lang.String fragment)`
    `` | `public java.lang.String` | `createRelativeURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map parameterValues, java.lang.String encoding, java.lang.String fragment)`
    `` | `public java.lang.String` | `createURL(java.util.Map parameterValues, java.lang.String encoding)`
    `` | `public java.lang.String` | `createURL(java.util.Map parameterValues, java.lang.String encoding, java.lang.String fragment)`
    `` | `public java.lang.String` | `createURL(java.lang.String controller, java.lang.String action, java.util.Map parameterValues, java.lang.String encoding)`
    `` | `public java.lang.String` | `createURL(java.lang.String controller, java.lang.String action, java.lang.String pluginName, java.util.Map parameterValues, java.lang.String encoding)`
    `` | `public java.lang.String` | `createURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map parameterValues, java.lang.String encoding)`
    `` | `public java.lang.String` | `createURL(java.lang.String controller, java.lang.String action, java.util.Map parameterValues, java.lang.String encoding, java.lang.String fragment)`
    `` | `public java.lang.String` | `createURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map parameterValues, java.lang.String encoding, java.lang.String fragment)`
    `` | `private java.lang.String` | `createURLInternal(java.lang.String controller, java.lang.String action, java.util.Map<java.lang.String, java.lang.String> parameterValues, boolean includeContextPath)`
    `` | `private java.lang.String` | `createURLWithWebRequest(java.util.Map parameterValues, GrailsWebRequest webRequest, boolean includeContextPath)`
    `` | `private java.lang.String` | `createUrlWithFragment(java.lang.String encoding, java.lang.String fragment, java.lang.String url)`
    `` | `private java.lang.String` | `urlEncode(java.lang.Object obj, java.lang.String charset)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### public static final java.lang.String ARGUMENT_ID

    - #### private static final java.lang.String ENTITY_AMPERSAND

    - #### private static final char SLASH

    - #### private final java.lang.String actionName

    - #### private final java.lang.String controllerName

  - ### Constructor Detail

    - #### public DefaultUrlCreator(java.lang.String controller, java.lang.String action)

  - ### Method Detail

    - #### private void appendRequestParam(FastStringWriter actualUriBuf, java.lang.Object name, java.lang.Object value, java.lang.String encoding)

    - #### private void appendRequestParams(FastStringWriter actualUriBuf, java.util.Map<java.lang.Object, java.lang.Object> params, java.lang.String encoding)

    - #### private void appendUrlToken(FastStringWriter actualUriBuf, java.lang.Object token, java.lang.String charset)

    - #### public java.lang.String createRelativeURL(java.lang.String controller, java.lang.String action, java.util.Map parameterValues, java.lang.String encoding)

    - #### public java.lang.String createRelativeURL(java.lang.String controller, java.lang.String action, java.lang.String pluginName, java.util.Map parameterValues, java.lang.String encoding)

    - #### @java.lang.SuppressWarnings("unchecked") public java.lang.String createRelativeURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map parameterValues, java.lang.String encoding)

    - #### public java.lang.String createRelativeURL(java.lang.String controller, java.lang.String action, java.util.Map parameterValues, java.lang.String encoding, java.lang.String fragment)

    - #### @java.lang.SuppressWarnings("unchecked") public java.lang.String createRelativeURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map parameterValues, java.lang.String encoding, java.lang.String fragment)

    - #### public java.lang.String createURL(java.util.Map parameterValues, java.lang.String encoding)

    - #### public java.lang.String createURL(java.util.Map parameterValues, java.lang.String encoding, java.lang.String fragment)

    - #### public java.lang.String createURL(java.lang.String controller, java.lang.String action, java.util.Map parameterValues, java.lang.String encoding)

    - #### public java.lang.String createURL(java.lang.String controller, java.lang.String action, java.lang.String pluginName, java.util.Map parameterValues, java.lang.String encoding)

    - #### @java.lang.SuppressWarnings("unchecked") public java.lang.String createURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map parameterValues, java.lang.String encoding)

    - #### public java.lang.String createURL(java.lang.String controller, java.lang.String action, java.util.Map parameterValues, java.lang.String encoding, java.lang.String fragment)

    - #### public java.lang.String createURL(java.lang.String controller, java.lang.String action, java.lang.String namespace, java.lang.String pluginName, java.util.Map parameterValues, java.lang.String encoding, java.lang.String fragment)

    - #### private java.lang.String createURLInternal(java.lang.String controller, java.lang.String action, java.util.Map<java.lang.String, java.lang.String> parameterValues, boolean includeContextPath)

    - #### @java.lang.SuppressWarnings("unchecked") private java.lang.String createURLWithWebRequest(java.util.Map parameterValues, GrailsWebRequest webRequest, boolean includeContextPath)

    - #### private java.lang.String createUrlWithFragment(java.lang.String encoding, java.lang.String fragment, java.lang.String url)

    - #### private java.lang.String urlEncode(java.lang.Object obj, java.lang.String charset)